Bug 201041 - deskutils/xneur: [patch] update to 0.17.0
Summary: deskutils/xneur: [patch] update to 0.17.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks: 201043
  Show dependency treegraph
 
Reported: 2015-06-22 13:09 UTC by Michael Zhilin
Modified: 2015-10-20 11:26 UTC (History)
2 users (show)

See Also:
mizhka: maintainer-feedback+


Attachments
SVN patch (6.60 KB, patch)
2015-06-22 13:09 UTC, Michael Zhilin
no flags Details | Diff
Poudriere testport (109.03 KB, text/plain)
2015-06-22 13:11 UTC, Michael Zhilin
no flags Details
Portlint -a output (327 bytes, text/plain)
2015-06-22 13:12 UTC, Michael Zhilin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Zhilin 2015-06-22 13:09:54 UTC
Created attachment 157978 [details]
SVN patch

Hi,

Please review & commit patch to update deskutils/xneur to 0.17.0. It works fine for me: portlint & porttest output are attached. 

Thanks!
Comment 1 Michael Zhilin 2015-06-22 13:11:24 UTC
Created attachment 157979 [details]
Poudriere testport
Comment 2 Michael Zhilin 2015-06-22 13:12:49 UTC
Created attachment 157980 [details]
Portlint -a output
Comment 3 admin 2015-06-29 06:08:12 UTC
please, commit this patch
Comment 4 commit-hook freebsd_committer 2015-10-20 11:24:59 UTC
A commit references this bug:

Author: madpilot
Date: Tue Oct 20 11:24:35 UTC 2015
New revision: 399815
URL: https://svnweb.freebsd.org/changeset/ports/399815

Log:
  - Update to 0.17.0
  - Update MASTER_SITES and WWW in pkg-descr
  - Add LICENSE
  - Convert to USES localbase and use compiler USES due to nested functions requirement
  - Use option helpers
  - Regenerate some patches

  PR:		201041
  Submitted by:	mizhka at gmail.com
  Approved by:	admin at lissyara.su (maintainer)

Changes:
  head/deskutils/xneur/Makefile
  head/deskutils/xneur/distinfo
  head/deskutils/xneur/files/patch-etc-Makefile.in
  head/deskutils/xneur/files/patch-lib__config__xnconfig_memory.c
  head/deskutils/xneur/files/patch-lib_main_keymap.c
  head/deskutils/xneur/pkg-descr
  head/deskutils/xneur/pkg-plist
Comment 5 Guido Falsi freebsd_committer 2015-10-20 11:26:26 UTC
Patch committed, with some changes:

- Used DISTNAME and DISTVERSIONSUFFIX to cater for the distfile name change. Also had to change WRKSRC to make it look for the sources in the right place. As portlint states, DISTFILES is meant to be used when there's more than one distfile.

- I removed the explicit LDFLAGS and CPPFLAGS assignments in favour of USES=localbase, which does the same but is the standardized method. (many ports are still using custom variables, but should be fixed whenever possible)

- You did remove the %%NLS%% from the plist. Not sure why you did, this is wrong and breaks packaging when the NLS option is disabled. I put those back.

- I added the USES=lcompiler:nestedfct thing because this software does have nested function definition which is a GNU C Compiler extension not part of any standard and at present unsupported by clang. The build was failing for me on head and FreeBSD 10.2. In fact I'm not sure how you were able to build it with FreeBSD 10.1. Maybe for some other reason gcc was being used in your test system.

- I simplified the Makefile a little using option helpers. They are described in the /usr/ports/CHANGES file and in /usr/ports/Mk/bsd.options.mk comments.

- I also needed to patch file lib/main/keymap.c when NLS option is disabled to include X11/Xlocale.h (as it did in version 0.15.0) otherwise build failed with undefined symbols.

Please note that the first tree notes also apply to the patch in bug 201043.

Thanks for your submission!